package com.antai.sport.http.server.server.api.business.club.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel("俱乐部列表返回数据")
@Data
public class ClubRespDTO {
    @ApiModelProperty("俱乐部id")
    private Long id;
    @ApiModelProperty("俱乐部名称")
    private String clubName;
    @ApiModelProperty("logo")
    private String clubLogo;
    @ApiModelProperty("省")
    private String provinceName;
    @ApiModelProperty("市")
    private String cityName;
    @ApiModelProperty("成员数量")
    private Integer memberNumber;
    @ApiModelProperty("时长(秒)")
    private Integer totalDuration;
    @ApiModelProperty("累计距离")
    private BigDecimal totalDistance;
    @ApiModelProperty("累计爬坡高度")
    private BigDecimal totalClimbDistance;
    @ApiModelProperty("总计卡路里")
    private Integer totalCalorie;
    @ApiModelProperty("成立时间")
    private String clubCreateTime;
    @ApiModelProperty("描述")
    private String description;
}
